import type { Bucket } from './bucket';
export declare type BucketType = 's3' | 'gs' | 'minio';
export interface BucketFile {
    bucket: Bucket;
    path: string;
    size?: number;
    updated?: string;
    contentType?: string;
    local?: string;
}
export declare type BucketFileDeleted = BucketFile & {
    deleted: boolean;
};
export interface ListResult {
    files: BucketFile[];
    dirs?: string[];
    nextMarker?: string;
}
/** Interface used for the bucket.list */
export interface ListOptions {
    prefix?: string;
    directory?: boolean;
    marker?: string;
    limit?: number;
}
/** Argument type for listing a set of bucket item for .list and .download
 * - when string means it is the prefix (which can be of glob format)
 * - when ListOptions prefix can be specified as property.
 */
export declare type ListArg = ListOptions | string;
